关于乐鑫ESP8266 AT固件的一点感悟!!!

版权声明:本文为博主原创文章,遵循 CC 4.0 by-sa 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/xiewenhao12/article/details/90295493

前言:

        最近项目中使用到了这款wifi模组,型号是0c-esp-wroom-02,固件一开始选择的是出厂自带的,也就是1.5版本的。一路上遇到很多无解的问题。官方可能太忙了吧。。。,最终只能通过不断的更换版本来开发项目。

 

问题1:

        1.在使用AT1.5版本的固件时,发现使用指令

AT+CIPSSLCCONF  返回一个ERROR。貌似是不支持还是怎么的。看了下开发文档说明,上面说是默认sll认证关闭。于是按照官网上面调用函数 espconn_secure_ca_enable和 espconn_secure_cert_req_enable。结果不尽人意。。。

     2.上面的问题得不到解答,于是我将固件升级到1.7版本,果然这条指令好使了。

问题2:

     1. AT1.7版本的固件在配网距离上面有问题!这个问题还是在测试中心测出来的。解决这个问题的办法是编译同目录下的at_espconn这个工程。烧录按照如下图所示:

 

 

到此,也算是磕磕碰碰的完成了对这块模组的使用了。

 

结语: 1.ESP8266 AT1.5版本固件指令AT+CIPSSLCCONF无法使用
            2.ESP8266 AT1.7版本的配网距离有问题。

以上问题还需求证??????

 
 

 

展开阅读全文

没有更多推荐了,返回首页